
public class Class463_Sub25 extends Class463 {

   public static final int anInt8042 = 2;
   public static final int anInt8043 = 1;
   public static final int anInt8044 = 0;


   public Class463_Sub25(int var1, Class225_Sub6 var2) {
      super(var1, var2);
   }

   void method7810(int var1) {
      this.anInt5736 = var1 * -1684335239;
   }

   public void method13007(int var1) {
      if(-204978999 * this.anInt5736 < 0 || -204978999 * this.anInt5736 > 2) {
         this.anInt5736 = this.method7807(-1493289181) * -1684335239;
      }

   }

   int method7807(int var1) {
      return this.aClass225_Sub6_5738.aClass463_Sub15_8472.method12923(1120775906) && Class225_Sub14_Sub8.method16125(this.aClass225_Sub6_5738.aClass463_Sub15_8472.method12922((byte)-49), 1730796998)?1:0;
   }

   public boolean method13008(int var1) {
      return true;
   }

   public int method7813(int var1) {
      return 1;
   }

   void method7812(int var1, byte var2) {
      this.anInt5736 = var1 * -1684335239;
   }

   public int method13009(short var1) {
      return -204978999 * this.anInt5736;
   }

   int method7815() {
      return this.aClass225_Sub6_5738.aClass463_Sub15_8472.method12923(1120775906) && Class225_Sub14_Sub8.method16125(this.aClass225_Sub6_5738.aClass463_Sub15_8472.method12922((byte)-19), 1233773235)?1:0;
   }

   public int method13010() {
      return -204978999 * this.anInt5736;
   }

   public Class463_Sub25(Class225_Sub6 var1) {
      super(var1);
   }

   void method7806(int var1) {
      this.anInt5736 = var1 * -1684335239;
   }

   public int method7811(int var1) {
      return 1;
   }

   public void method13011() {
      if(-204978999 * this.anInt5736 < 0 || -204978999 * this.anInt5736 > 2) {
         this.anInt5736 = this.method7807(-700141703) * -1684335239;
      }

   }

   void method7814(int var1) {
      this.anInt5736 = var1 * -1684335239;
   }

   public void method13012() {
      if(-204978999 * this.anInt5736 < 0 || -204978999 * this.anInt5736 > 2) {
         this.anInt5736 = this.method7807(-711962555) * -1684335239;
      }

   }

   public boolean method13013() {
      return true;
   }

   public int method7808(int var1, int var2) {
      return 1;
   }

   public boolean method13014() {
      return true;
   }

   public int method13015() {
      return -204978999 * this.anInt5736;
   }

   public int method13016() {
      return -204978999 * this.anInt5736;
   }

   public static boolean method13017(Class253 var0, Class253 var1, Class253 var2, Class225_Sub12_Sub2 var3, Class206 var4, int var5) {
      Class104.aClass253_1018 = var0;
      Class104.aClass253_1019 = var1;
      Class390.aClass253_4850 = var2;
      Class104.aClass225_Sub12_Sub2_1026 = var3;
      Class104.aClass206_1021 = var4;
      Class151_Sub2_Sub3.anIntArray10290 = new int[16];

      for(int var6 = 0; var6 < 16; ++var6) {
         if(var5 <= -937710807) {
            ;
         }

         Class151_Sub2_Sub3.anIntArray10290[var6] = 255;
      }

      return true;
   }
}
